> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fluxend.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List files

> Retrieve a list of all files in a specific container



## OpenAPI

````yaml get /containers/{containerUUID}/files
openapi: 3.0.0
info:
  description: >-
    Fluxend is backend as-a-service platform that allows you to build, deploy,
    and scale applications without managing infrastructure.
  title: Fluxend API
  contact:
    name: API Support
    url: http://github.com/fluxend/fluxend
    email: hello@fluxend.app
  version: '1.0'
servers:
  - url: https://api.fluxend.app
security: []
paths:
  /containers/{containerUUID}/files:
    get:
      tags:
        - Files
      summary: List files
      description: Retrieve a list of all files in a specific container
      parameters:
        - description: Bearer Token
          name: Authorization
          in: header
          required: true
          schema:
            type: string
        - description: Project UUID
          name: X-Project
          in: header
          required: true
          schema:
            type: string
        - description: Container UUID
          name: containerUUID
          in: path
          required: true
          schema:
            type: string
        - description: Page number for pagination
          name: page
          in: query
          schema:
            type: string
        - description: Number of items per page
          name: limit
          in: query
          schema:
            type: string
        - description: Field to sort by
          name: sort
          in: query
          schema:
            type: string
        - description: Sort order (asc or desc)
          name: order
          in: query
          schema:
            type: string
      responses:
        '200':
          description: List of files
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - $ref: '#/components/schemas/response.Response'
                    - type: object
                      properties:
                        content:
                          type: array
                          items:
                            $ref: '#/components/schemas/file.Response'
        '400':
          description: Bad request response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.BadRequestErrorResponse'
        '401':
          description: Unauthorized response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.UnauthorizedErrorResponse'
        '500':
          description: Internal server error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/response.InternalServerErrorResponse'
components:
  schemas:
    response.Response:
      type: object
      properties:
        content: {}
        errors:
          type: array
          items:
            type: string
        metadata: {}
        success:
          type: boolean
    file.Response:
      type: object
      properties:
        containerUuid:
          type: string
        createdAt:
          type: string
        createdBy:
          type: string
        fullFileName:
          type: string
        mimeType:
          type: string
        size:
          description: in KB
          type: integer
        updatedAt:
          type: string
        updatedBy:
          type: string
        uuid:
          type: string
    response.BadRequestErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Invalid input parameter
        success:
          type: boolean
          example: false
    response.UnauthorizedErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Unauthorized access
        success:
          type: boolean
          example: false
    response.InternalServerErrorResponse:
      type: object
      properties:
        content:
          type: string
          example: 'null'
        errors:
          type: array
          items:
            type: string
          example:
            - Internal server error
        success:
          type: boolean
          example: false

````